Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## things.universe
Class UniverseAnchor

    java.lang.Object
      things.universe.UniverseAnchor

    public class UniverseAnchor

extends java.lang.Object

An anchor in a universe.

Version:
  1.0

  Version History

      EPG - Initial - 5 SEP 07

Author:
  Erich P. Gatejen

Constructor Summary
`UniverseAnchor(java.lang.String anchorRoot, Universe theUniverse)` Constructor.

Method Summary
`java.io.File` | `getLocal(java.lang.String path)` Get a local file for the object.
`Universe` | `getUniverseAccessor()` Get the universe itself.
`boolean` | `hasObject(java.lang.String path)` Does the object exist?
`void` | `releaseLocal(java.io.File local)` Release the local.
`java.lang.String` | `resolvePath(java.lang.String path)` Resolve the path.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UniverseAnchor

    public UniverseAnchor(java.lang.String anchorRoot,
                          Universe theUniverse)
                   throws java.lang.Throwable

  Constructor.

  Parameters:
    `anchorRoot` - the path into the universe to the anchor spot
    `theUniverse` - the universe in question
  Throws:
    `java.lang.Throwable` - if either is null it'll throw an exception

Method Detail

### hasObject

    public boolean hasObject(java.lang.String path)
                      throws UniverseException

  Does the object exist?

  Parameters:
    `path` - from the anchor.
  Returns:
    true if it does, otherwise false.
  Throws:
    `UniverseException`

### resolvePath

    public java.lang.String resolvePath(java.lang.String path)

  Resolve the path. It will give a full path into the root of the universe.

  Parameters:
    `path` - from the anchor.
  Returns:
    the full path.

### getLocal

    public java.io.File getLocal(java.lang.String path)
                          throws UniverseException

  Get a local file for the object. It will LOCK the object until released (releaseLocal).

  Parameters:
    `path` -
  Returns:
    return a reference to the object as a file.
  Throws:
    `UniverseException`

### getUniverseAccessor

    public Universe getUniverseAccessor()
                                 throws UniverseException

  Get the universe itself.

  Returns:
    return the universe accessor.
  Throws:
    `UniverseException`

### releaseLocal

    public void releaseLocal(java.io.File local)

  Release the local. This will never throw an error.

  Parameters:
    `local` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Things.